Crear un nuevo cliente padre
curl --request POST \
--url https://api.raul.ugps.io/api/v1/client_father/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fatherName": "Empresa Matriz SA",
"fantasyName": "<string>",
"rut": "12.345.678-9",
"email": "contacto@empresa.cl",
"phone": "<string>",
"factura": true,
"ordenCompra": true,
"requiresHes": true,
"childrenIds": [
"uuid1",
"uuid2"
]
}
'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/create"
payload = {
"fatherName": "Empresa Matriz SA",
"fantasyName": "<string>",
"rut": "12.345.678-9",
"email": "contacto@empresa.cl",
"phone": "<string>",
"factura": True,
"ordenCompra": True,
"requiresHes": True,
"childrenIds": ["uuid1", "uuid2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fatherName: 'Empresa Matriz SA',
fantasyName: '<string>',
rut: '12.345.678-9',
email: 'contacto@empresa.cl',
phone: '<string>',
factura: true,
ordenCompra: true,
requiresHes: true,
childrenIds: ['uuid1', 'uuid2']
})
};
fetch('https://api.raul.ugps.io/api/v1/client_father/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.raul.ugps.io/api/v1/client_father/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fatherName' => 'Empresa Matriz SA',
'fantasyName' => '<string>',
'rut' => '12.345.678-9',
'email' => 'contacto@empresa.cl',
'phone' => '<string>',
'factura' => true,
'ordenCompra' => true,
'requiresHes' => true,
'childrenIds' => [
'uuid1',
'uuid2'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.raul.ugps.io/api/v1/client_father/create"
payload := strings.NewReader("{\n \"fatherName\": \"Empresa Matriz SA\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"12.345.678-9\",\n \"email\": \"contacto@empresa.cl\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"uuid1\",\n \"uuid2\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.raul.ugps.io/api/v1/client_father/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fatherName\": \"Empresa Matriz SA\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"12.345.678-9\",\n \"email\": \"contacto@empresa.cl\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"uuid1\",\n \"uuid2\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.raul.ugps.io/api/v1/client_father/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fatherName\": \"Empresa Matriz SA\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"12.345.678-9\",\n \"email\": \"contacto@empresa.cl\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"uuid1\",\n \"uuid2\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"idFather": "<string>",
"fatherName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"createdAt": {},
"updatedAt": {},
"clientsChildrens": [
{
"clientId": "<string>",
"clientName": {},
"rut": {},
"typeOfContractId": {},
"sellerId": {},
"sellerName": {}
}
]
}Client Father
Crear un nuevo cliente padre
Operacion: Crear un nuevo cliente padre.
POST
/
api
/
v1
/
client_father
/
create
Crear un nuevo cliente padre
curl --request POST \
--url https://api.raul.ugps.io/api/v1/client_father/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fatherName": "Empresa Matriz SA",
"fantasyName": "<string>",
"rut": "12.345.678-9",
"email": "contacto@empresa.cl",
"phone": "<string>",
"factura": true,
"ordenCompra": true,
"requiresHes": true,
"childrenIds": [
"uuid1",
"uuid2"
]
}
'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/create"
payload = {
"fatherName": "Empresa Matriz SA",
"fantasyName": "<string>",
"rut": "12.345.678-9",
"email": "contacto@empresa.cl",
"phone": "<string>",
"factura": True,
"ordenCompra": True,
"requiresHes": True,
"childrenIds": ["uuid1", "uuid2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fatherName: 'Empresa Matriz SA',
fantasyName: '<string>',
rut: '12.345.678-9',
email: 'contacto@empresa.cl',
phone: '<string>',
factura: true,
ordenCompra: true,
requiresHes: true,
childrenIds: ['uuid1', 'uuid2']
})
};
fetch('https://api.raul.ugps.io/api/v1/client_father/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.raul.ugps.io/api/v1/client_father/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fatherName' => 'Empresa Matriz SA',
'fantasyName' => '<string>',
'rut' => '12.345.678-9',
'email' => 'contacto@empresa.cl',
'phone' => '<string>',
'factura' => true,
'ordenCompra' => true,
'requiresHes' => true,
'childrenIds' => [
'uuid1',
'uuid2'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.raul.ugps.io/api/v1/client_father/create"
payload := strings.NewReader("{\n \"fatherName\": \"Empresa Matriz SA\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"12.345.678-9\",\n \"email\": \"contacto@empresa.cl\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"uuid1\",\n \"uuid2\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.raul.ugps.io/api/v1/client_father/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fatherName\": \"Empresa Matriz SA\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"12.345.678-9\",\n \"email\": \"contacto@empresa.cl\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"uuid1\",\n \"uuid2\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.raul.ugps.io/api/v1/client_father/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fatherName\": \"Empresa Matriz SA\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"12.345.678-9\",\n \"email\": \"contacto@empresa.cl\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"uuid1\",\n \"uuid2\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"idFather": "<string>",
"fatherName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"createdAt": {},
"updatedAt": {},
"clientsChildrens": [
{
"clientId": "<string>",
"clientName": {},
"rut": {},
"typeOfContractId": {},
"sellerId": {},
"sellerName": {}
}
]
}Body
application/json
Response
201 - application/json
Cliente padre creado exitosamente